Subject: bug#36908: parted optimal alignment fails minimal alignment check

From: Georgy Fedorov <[email-masked]>
Date: Tue, 6 Aug 2019 15:45:12 +1000

Perfect! That's exactly what I had in mind.

As for the version -- I have noticed that the most recent release at 
ftp.gnu.org/gnu/parted is a little old -- but it still was the most 
recent release, so I went with that. My apologies.

Kind regards, George

On 6/8/19 2:01 am, Brian C. Lane wrote:
> On Sat, Aug 03, 2019 at 12:26:56PM +0000, George Fedorov wrote:
>> Hi,
>>
>>
>> I was directed here by the page at https://protect-au.mimecast.com/s/FpF4C91ZVBSnZ5nYsoexuZ?domain=gnu.org ; is there any bugreport tracker where one can file a bug instead ?
>>
>>
>> Anyway, here's the problem ( manifested in parted 3.2 coming with Ubuntu 18.04 and checked vs. a manual build of the sources from https://protect-au.mimecast.com/s/Kz_DC0YZJpCvERvrcDJs5C?domain=ftp.gnu.org  ):
>
> The 3.2 tar is *really* old at this point and should not really be used.
>
> [snip]
>
>
>> As it turns out, the root of all evil comes from here :
>>
>>
>> =====
>>
>> # cat /sys/block/sdi/queue/optimal_io_size
>> 33553920
>> =====
>>
>>
>> So parted is not to blame, but the system. But from the user's point of view, it is quite hard to figure this out. And certainly the user deserves to know the actual values that parted considers to be of best performance -- I mean, pa->offset and pa->grain_size from parted.c::print_partition_alignment() shall probably be exposed in some way -- at least when it comes to a warning like the one above.
>
> In commit 1726dbb4cd2dc4b19fe8d3c4b94e172fc0bd2c7c I added a message
> that describes the failure with a bit more detail. It will print
> something like:
>
> <start> % <grain_size> != <offset>
>
> I'm guessing Ubuntu doesn't have that patch, and the 3.2 tarball is
> getting *really* old at this point (which is why I'm working toward a
> 3.3 release soon).
>
> Brian
>

-- 
George Fedorov
Senior Systems Specialist
Melbourne School of Engineering
The University of Melbourne, Victoria 3010, Australia
email: [email-masked]
http://www.eng.unimelb.edu.au/